Assignments Assignments

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Util::QuadricBoundingBoxOverlap< 1 > Struct Reference

`#include <geometry.h>`

## Public Member Functions
| QuadricBoundingBoxOverlap (const Quadric< 1 > &Q)
bool | operator() (const BoundingBox< 1 > &bBox) const

## Protected Member Functions
| QuadricBoundingBoxOverlap (void)
void | _set (const Quadric< 1 > &Q)
bool | _intersect (const Quadric< 1 > &Q, const BoundingBox< 1 > &bBox) const

## Protected Attributes
Quadric< 1 > | _quadric
Matrix< 1, 1 > | _Q
Matrix< 1, 1 > | _Qinv
Matrix< 2, 1 > | _T
Matrix< 1, 2 > | _Tt
Matrix< 1, 2 > | _Tt_Q

## Constructor & Destructor Documentation

## ◆ QuadricBoundingBoxOverlap() [1/2]

Util::QuadricBoundingBoxOverlap< 1 >::QuadricBoundingBoxOverlap | ( | const Quadric< 1 > & | Q | ) |
| inline

A constructor initializing the structure with a quadratic.

## ◆ QuadricBoundingBoxOverlap() [2/2]

Util::QuadricBoundingBoxOverlap< 1 >::QuadricBoundingBoxOverlap | ( | void |  | ) |
| inline protected

## Member Function Documentation

## ◆ _intersect()

bool Util::QuadricBoundingBoxOverlap< 1 >::_intersect | ( | const Quadric< 1 > & | Q,
|  | const BoundingBox< 1 > & | bBox ) const
| inline protected

## ◆ _set()

void Util::QuadricBoundingBoxOverlap< 1 >::_set | ( | const Quadric< 1 > & | Q | ) |
| inline protected

## ◆ operator()()

bool Util::QuadricBoundingBoxOverlap< 1 >::operator() | ( | const BoundingBox< 1 > & | bBox | ) | const

An overloaded operator for testing if the quadric intersects a bounding box.

## Member Data Documentation

## ◆ _Q

Matrix< 1 , 1 > Util::QuadricBoundingBoxOverlap< 1 >::_Q
| protected

## ◆ _Qinv

Matrix< 1 , 1 > Util::QuadricBoundingBoxOverlap< 1 >::_Qinv
| protected

## ◆ _quadric

Quadric< 1 > Util::QuadricBoundingBoxOverlap< 1 >::_quadric
| protected

## ◆ _T

Matrix< 2 , 1 > Util::QuadricBoundingBoxOverlap< 1 >::_T
| protected

## ◆ _Tt

Matrix< 1 , 2 > Util::QuadricBoundingBoxOverlap< 1 >::_Tt
| protected

## ◆ _Tt_Q

Matrix< 1 , 2 > Util::QuadricBoundingBoxOverlap< 1 >::_Tt_Q
| protected

The documentation for this struct was generated from the following files:

- Assignments/Util/geometry.h
- Assignments/Util/geometry.inl